Bug 1245915 - snap-view:mount crash if debug mode is enabled
Summary: snap-view:mount crash if debug mode is enabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.1.1
Assignee: Mohammed Rafi KC
QA Contact: Shashank Raj
URL:
Whiteboard: SNAPSHOT
Depends On: 1240184
Blocks: 1245908 1251815
TreeView+ depends on / blocked
 
Reported: 2015-07-23 06:02 UTC by Avra Sengupta
Modified: 2016-11-08 03:53 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.7.1-12
Doc Type: Bug Fix
Doc Text:
Clone Of: 1240184
Environment:
Last Closed: 2015-10-05 07:13:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1845 0 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.1 update 2015-10-05 11:06:22 UTC

Description Avra Sengupta 2015-07-23 06:02:30 UTC
+++ This bug was initially created as a clone of Bug #1240184 +++

Description of problem:

from snpaview-server, for statfs fops we allocate memory for loc->path directly, instead of using GF_CALLOC/GF_MALLOC, that causes assertion failure and crash if debug mode is enabled during configurations.

Version-Release number of selected component (if applicable):

mainline

How reproducible:

100%

Steps to Reproduce:
1.enablde debig mode during building using ./configure --enable-debug
2.create volume start it
3.enable uss
4.create an activate snapshot
5.check getconf NAME_MAX /mnt/.snaps

Actual results:

this causes mount process to crash

Expected results:

should not crash mount point

Additional info:

--- Additional comment from Anand Avati on 2015-07-06 03:28:55 EDT ---

REVIEW: http://review.gluster.org/11543 (snapview-client: Allocate memory using GF_CALLOC) posted (#1) for review on master by mohammed rafi  kc (rkavunga@redhat.com)

--- Additional comment from Anand Avati on 2015-07-06 06:59:17 EDT ---

REVIEW: http://review.gluster.org/11543 (snapview-client: Allocate memory using GF_CALLOC) posted (#2) for review on master by mohammed rafi  kc (rkavunga@redhat.com)

Comment 2 Mohammed Rafi KC 2015-07-23 08:40:38 UTC
upstream master      : http://review.gluster.org/#/c/11543/
upstream release 3.7 : http://review.gluster.org/#/c/11743/

Comment 5 Avra Sengupta 2015-08-14 09:05:44 UTC
upstream master      : http://review.gluster.org/#/c/11543/
upstream release 3.7 : http://review.gluster.org/#/c/11743/
RHGS URL: https://code.engineering.redhat.com/gerrit/#/c/55152/

Comment 7 Shashank Raj 2015-09-03 06:27:43 UTC
This bug depends on the regression run for uss. So once the regression is complete without any issues, we will mark it as verified.

Comment 8 Shashank Raj 2015-09-10 14:00:50 UTC
Since USS regression passed successfully and no major issues are seen. hence marking this bug as verified.

Comment 10 errata-xmlrpc 2015-10-05 07:13:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1845.html


Note You need to log in before you can comment on or make changes to this bug.